Bug 1004381 - [Beaker] backend.twisted emit: ERROR Unhandled error in Deferred:
[Beaker] backend.twisted emit: ERROR Unhandled error in Deferred:
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.3
: ---
Assigned To: Amit Saha
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 10:08 EDT by PaulB
Modified: 2018-02-05 19:41 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 01:11:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Amit Saha 2013-10-23 23:36:46 EDT
When there are no remaining tasks, a NothingToDoException is raised in beakerlc.py:

 raise NothingToDoException("No more tasks in recipe.")

So it seems that the second point in the answer here [1] may have a clue.
[1] http://stackoverflow.com/questions/3826233/twisted-no-exception-trace-if-error-from-a-callback
Comment 5 Amit Saha 2013-11-01 02:41:17 EDT
(In reply to Amit Saha from comment #3)
> When there are no remaining tasks, a NothingToDoException is raised in
> beakerlc.py:
> 
>  raise NothingToDoException("No more tasks in recipe.")

http://gerrit.beaker-project.org/#/c/2442/
Comment 7 Amit Saha 2013-11-04 23:05:35 EST
Verification suggestions:

To verify this bug, you will have to monitor the console.log (if running in an environment where conserver is set up properly), or stare at the console.

If you are running only the /distribution/install, the console logs should not contain any "ERROR unhandled.." messages after the task is complete and just before the machine is turned off.

If you are running only the /distribution/install and reservesys task, the console logs should not contain any "ERROR unhandled.." messages after you execute 'return2beaker.sh'.

PS: Note that there are other messages from Twisted that will be all over, so, you have to be careful (not applicable if console.log is available).

Note You need to log in before you can comment on or make changes to this bug.